<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Cars Management Dashboard</title>

    <!-- Local Css -->
    <link rel="stylesheet" href="./css/style.css" />

    <!-- Bootstrap Css -->
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
      crossorigin="anonymous"
    />

    <!-- Font Awesome -->
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css"
      integrity="sha512-KfkfwYDsLkIlwQp6LFnl8zNdLGxu9YAA1QvwINks4PhcElQSvqcyVLLD9aMhXd13uQjoXtEKNosOWaZqXgel0g=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    />

    <style>
      @media screen and (max-width: 450px) {
        .cars-card {
          margin-top: 20px;
        }
        .cars {
          width: 100%;
          margin-top: -20px;
        }
        .btn-edit {
          margin-top: 10px;
        }
      }
    </style>
  </head>
  <body>
    <!-- Header -->
    <header class="shadow-sm header navbar navbar-expand-md pe-0" id="header">
      <div class="d-flex me-auto header_toggle">
        <i class="bx bx-menu mx-4" id="header-toggle"></i>
      </div>
      <form class="d-flex ms-auto">
        <input
          class="form-control"
          type="search"
          placeholder="Search"
          aria-label="Search"
        />
        <button class="btn btn-outline-primary btn-search" type="submit">
          Search
        </button>
      </form>
      <div class="btn-group ms-2 user-setting">
        <button
          type="button"
          class="btn dropdown-toggle"
          data-bs-toggle="dropdown"
          data-bs-display="static"
          aria-expanded="false"
        >
          <img
            src="../public/img/Rectangle 62.png"
            class="rounded-circle"
            alt=""
            style="width: 38px; height: 38px; object-fit: cover"
          />
          Unis Badri
        </button>
        <ul class="dropdown-menu dropdown-menu-sm-end">
          <li>
            <button class="dropdown-item" type="button">Setting</button>
          </li>
          <li>
            <button class="dropdown-item" type="button">Logout</button>
          </li>
        </ul>
      </div>
    </header>
    <!-- Header End -->

    <!-- Sidebar -->
    <div class="l-navbar" id="nav-bar">
      <nav class="nav">
        <table class="h-100">
          <tr>
            <td style="vertical-align: top; width: 60px; padding: 0px">
              <img class="nav_logo" src="../public/img/Rectangle 63.png" />
              <a href="/" class="nav_link"
                ><img src="./img/Administrator.png" alt=""
              /></a>
              <a href="/" class="nav_link active-menu"
                ><img src="./img/Home.png" alt=""
              /></a>
            </td>
            <td
              style="
                vertical-align: top;
                background-color: #ffffff;
                padding: 0px;
              "
            >
              <img class="nav_logo" src="../public/img/Rectangle 62.png" />
              <p class="nav_title" style="margin-top: 17px">CARS</p>
              <a href="/" class="nav_title text-black bg-color-1">List Car</a>
            </td>
          </tr>
        </table>
      </nav>
    </div>

    <!-- Sidebar End -->

    <!-- Cars Card -->
    <div class="container">
      <div class="cars mx-auto">
        <div class="mt-2 row" id="carsData">
          <div
            class="cars-card col-lg-4 col-md-6 col-sm-12 mt-lg-3 mt-md-3 mt-sm-3"
          >
            <div class="card h-100">
              <div class="card-body">
                <div class="cars-body">
                  <img
                    src="./img/image 1.png"
                    class="card-img-top img-fluid mb-3 h-100"
                    alt="mobil.png"
                    style="object-fit: cover"
                  />
                </div>
                <p class="card-text" style="font-weight: 400">
                  Nama / Tipe Mobil
                </p>
                <h5 class="card-title mb-3 fw-bold">Rp 450.000 / hari</h5>
                <p class="card-text fw-lighter">
                  <i class="fa-regular fa-clock fw-light"></i> Updated at 4 Apr
                  2022, 09.00
                </p>
                <div class="row mt-4">
                  <div class="col-md-6 col-sm-12">
                    <button
                      type="submit"
                      class="btn btn-outline-danger mx-auto w-100"
                      style="height: 48px"
                      id="btn-delete"
                      data-bs-toggle="modal"
                      data-bs-target="#exampleModal"
                    >
                      <img
                        src="./img/fi_trash.png"
                        alt=""
                        style="margin-top: -3px; width: 18px; height: 18px"
                      />
                      Delete
                    </button>
                  </div>
                  <div class="col-md-6 col-sm-12 mt-md-0 mt-sm-2 btn-edit">
                    <button
                      type="submit"
                      class="btn btn-success text-light mx-auto w-100"
                      style="height: 48px"
                    >
                      <i
                        class="fa-regular fa-pen-to-square"
                        style="width: 18px; height: 18px"
                      ></i>
                      Edit
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div
            class="cars-card col-lg-4 col-md-6 col-sm-12 mt-lg-3 mt-md-3 mt-sm-3"
          >
            <div class="card h-100">
              <div class="card-body">
                <div class="cars-body">
                  <img
                    src="./img/image 1.png"
                    class="card-img-top img-fluid mb-3 h-100"
                    alt="mobil.png"
                    style="object-fit: cover"
                  />
                </div>
                <p class="card-text" style="font-weight: 400">
                  Nama / Tipe Mobil
                </p>
                <h5 class="card-title mb-3 fw-bold">Rp 450.000 / hari</h5>
                <p class="card-text fw-lighter">
                  <i class="fa-regular fa-clock fw-light"></i> Updated at 4 Apr
                  2022, 09.00
                </p>
                <div class="row mt-4">
                  <div class="col-md-6 col-sm-12">
                    <button
                      type="submit"
                      class="btn btn-outline-danger mx-auto w-100"
                      style="height: 48px"
                      id="btn-delete"
                      data-bs-toggle="modal"
                      data-bs-target="#exampleModal"
                    >
                      <img
                        src="./img/fi_trash.png"
                        alt=""
                        style="margin-top: -3px; width: 18px; height: 18px"
                      />
                      Delete
                    </button>
                  </div>
                  <div class="col-md-6 col-sm-12 mt-md-0 mt-sm-2 btn-edit">
                    <button
                      type="submit"
                      class="btn btn-success text-light mx-auto w-100"
                      style="height: 48px"
                    >
                      <i
                        class="fa-regular fa-pen-to-square"
                        style="width: 18px; height: 18px"
                      ></i>
                      Edit
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div
            class="cars-card col-lg-4 col-md-6 col-sm-12 mt-lg-3 mt-md-3 mt-sm-3"
          >
            <div class="card h-100">
              <div class="card-body">
                <div class="cars-body">
                  <img
                    src="./img/image 1.png"
                    class="card-img-top img-fluid mb-3 h-100"
                    alt="mobil.png"
                    style="object-fit: cover"
                  />
                </div>
                <p class="card-text" style="font-weight: 400">
                  Nama / Tipe Mobil
                </p>
                <h5 class="card-title mb-3 fw-bold">Rp 450.000 / hari</h5>
                <p class="card-text fw-lighter">
                  <i class="fa-regular fa-clock fw-light"></i> Updated at 4 Apr
                  2022, 09.00
                </p>
                <div class="row mt-4">
                  <div class="col-md-6 col-sm-12">
                    <button
                      type="submit"
                      class="btn btn-outline-danger mx-auto w-100"
                      style="height: 48px"
                      id="btn-delete"
                      data-bs-toggle="modal"
                      data-bs-target="#exampleModal"
                    >
                      <img
                        src="./img/fi_trash.png"
                        alt=""
                        style="margin-top: -3px; width: 18px; height: 18px"
                      />
                      Delete
                    </button>
                  </div>
                  <div
                    class="col-md-6 col-sm-12 mt-lg-0 mt-md-0 mt-sm-2 btn-edit"
                  >
                    <button
                      type="submit"
                      class="btn btn-success text-light mx-auto w-100"
                      style="height: 48px"
                    >
                      <i
                        class="fa-regular fa-pen-to-square"
                        style="width: 18px; height: 18px"
                      ></i>
                      Edit
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- Modal -->
    <div
      class="modal fade"
      id="exampleModal"
      tabindex="-1"
      aria-labelledby="exampleModalLabel"
      aria-hidden="true"
    >
      <div class="modal-dialog">
        <div class="modal-content px-5" style="text-align: center">
          <div class="modal-body">
            <img src="./img/car-alert.png" alt="" />
          </div>
          <h3>Menghapus Data Mobil</h3>
          <p>
            Setelah dihapus, data mobil tidak dapat dikembalikan. Yakin ingin
            menghapus?
          </p>
          <div class="modal-body justify-content-center">
            <button
              type="button"
              class="btn btn-primary mx-2"
              style="width: 87px"
            >
              Ya
            </button>
            <button
              type="button"
              class="btn btn-outline-primary mx-2"
              data-bs-dismiss="modal"
              style="width: 87px"
            >
              Tidak
            </button>
          </div>
        </div>
      </div>
    </div>

    <!-- Bootstrap script -->
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
      crossorigin="anonymous"
    ></script>

    <!-- Local js -->
    <script src="./js/cars.js"></script>
    <script src="../public/js/navbar.js"></script>

    <!-- Delete -->
    <script>
      var btnDelete = document
        .getElementById("btn-delete")
        .addEventListener("click", deleteCar);
    </script>
  </body>
</html>
